%define name SL_thunderbird_url_handlers
%define version 1
%define release 1

Summary: Set the URL settings in thunderbird to point to firefox
Name: %{name}
Version: %{version}
Release: %{release}
Source0: SL_thunderbird_url_handlers.schemas
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: GConf2
Requires: thunderbird firefox
BuildArch: noarch

%description
Set the URL settings in thunderbird to point to firefox
- set the http handler to firefox
- set the https handler to firefox
- set the ftp handler to firefox

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_sysconfdir/gconf/schemas
install -m 644 %SOURCE0 %buildroot%_sysconfdir/gconf/schemas/SL_thunderbird_url_handlers.schemas

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %_sysconfdir/gconf/schemas/SL_thunderbird_url_handlers.schemas > /dev/null

#gw removal won't work on SL3 as GConf2 is too old
#%preun
#if [ "$1" = "0" ] ; then
# export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
# gconftool-2 --makefile-uninstall-rule %_sysconfdir/gconf/schemas/SL_thunderbird_url_handlers.schemas > /dev/null
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sysconfdir/gconf/schemas/SL_thunderbird_url_handlers.schemas

%changelog
* Mon May 22 2006 Troy Dawson <dawson@fnal.gov> 1-1
- Packaged it for plain S.L.

* Fri May  5 2006 Gtz Waschk <goetz.waschk@desy.de> 0-1
- initial package for SL3
